function disp(THIS)
% disp  [Not a public function] Display method for VAR objects.
%
% Backend IRIS function.
% No help provided.

% -IRIS Toolbox.
% -Copyright (c) 2007-2012 Jaromir Benes.

%**************************************************************************

ny = size(THIS.A,1);
p = size(THIS.A,2);
nalt = size(THIS.A,3);
p = p / max([ny,1]);

thisclass = class(THIS);
if isempty(THIS.A)
    fprintf('\tempty %s object\n',thisclass);
else
    fprintf('\t%s(%g) object: %g parameterisation(s)\n',thisclass,p,nalt);
end

if ~isempty(THIS.ynames)
    ynames = sprintf('''%s'' ',THIS.ynames{:});
else
    ynames = 'empty';
end
fprintf('\tvariable names: %s\n',ynames);

disp@userdataobj(THIS);
disp(' ');

end